org.gradle.api.component

## Interface ComponentWithVariants

-     @Incubating
      public interface ComponentWithVariants

  Represents a `SoftwareComponent` that provides one or more mutually exclusive children, or variants.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<? extends ChildComponent>` | `getVariants()`

- - ### Method Detail

    - #### getVariants

          Set<? extends ChildComponent> getVariants()